# Two-Wire Interface (TWI)

## Overview
The Two-Wire Interface (TWI) is a bidirectional, two-wire communication interface (bus) with a Serial Data Line (SDA) and a Serial Clock Line (SCL).

The TWI bus connects one or several slave devices to one or several master devices. Any device connected to the bus can act as a master, a slave, or both. The master generates the SCL by using a Baud Rate Generator (BRG) and initiates data transactions by addressing one slave and telling whether it wants to transmit or receive data. The BRG is capable of generating the Standard mode (Sm) and Fast mode (Fm, F+) bus frequencies from 100 kHz up to 1MHz.

# Changelog
All notable changes to this project will be documented in this file.

## [7.1.2] - 2022-03-10

### New Features
- **CC8SCRIP-7343** :- Tiny0 Device Family Support
- **CC8SCRIP-7342** :- Tiny1 Device Family Support


## [7.1.1] - 2022-02-23

### Bug Fixes
- **CC8SCRIP-6922** :- AVR GCC Compiler Support


## [7.1.0] - 2021-12-17

### New Features
- **CC8SCRIP-6612** :- Added I2C Host and I2C Client drivers with respective Basic UIs to facilitate migration across PICs, AVRs and dsPICs
